#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.frame];
    _chart.delegate = self;
    
    /* Set up the background ranges using a stacked series */
    _stackedData = [[NSMutableArray alloc]init];
    StackedData *obj = [[StackedData alloc]init];
    obj.range1 = 20;
    obj.range2 = 30;
    obj.range3 = 50;
    
    //we need two points to make an area.
    [_stackedData addObject:obj];
    [_stackedData addObject:obj];
    
    _stackedDSH = [[IGStackedSeriesDataSourceHelper alloc]initWithData:_stackedData fields:@[@"range1",@"range2",@"range3"]];
    
    _stackedSeries = (IGStackedAreaSeries*)[_chart addStackedSeriesForType:[IGStackedAreaSeries class] usingKey:@"stackedSeries" withDataSource:_stackedDSH firstAxisKey:@"stackedXAxis" secondAxisKey:@"y"];
    
    _stackedSeries.xAxis.labelsVisible = NO;
    /* End Stacked Series */
    
    _lineSeries = (IGLineSeries*)[_chart addSeriesForType:[IGLineSeries class] usingKey:@"lineSeries" withDataSource:self firstAxisKey:@"x" secondAxisKey:@"y"];
    
    [self.view addSubview:_chart];
}

-(NSInteger)numberOfPointsInSeries:(IGSeries *)series
{
    return 10;
}
-(IGDataPoint *)series:(IGSeries *)series pointAtIndex:(NSInteger)index
{
    IGCategoryPoint *pt = [[IGCategoryPoint alloc]initWithValue:arc4random()%100 andLabel:nil];
    return pt;
}
-(void)chartView:(IGChartView *)chartView tapForSeries:(IGSeries *)series withItem:(NSObject *)item atPoint:(CGPoint)point
{
    double val1 = arc4random()%30 + 10;
    double val2 = arc4random()%40 + 10;
    double val3 = 100 - val1 - val2;
    
    StackedData *obj = _stackedData[0];
    obj.range1 = val1;
    obj.range2 = val2;
    obj.range3 = val3;

    for (int i=0; i<_stackedSeries.series.count; i++)
    {
        IGStackedFragmentSeries *fragment = [_stackedSeries.series objectAtIndex:i];
        [_chart updateStackedItemAtIndex:0 withSource:_stackedDSH forFragment:fragment];
        [_chart updateStackedItemAtIndex:1 withSource:_stackedDSH forFragment:fragment];
    }
}

@end

@implementation StackedData
@end